|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.file.CmsBackupResourceHandler
public class CmsBackupResourceHandler
Resource init handler that loads backup versions of resources.
| Field Summary | |
|---|---|
static String |
ATTRIBUTE_NAME
Constant for the backup request attribute name. |
static String |
BACKUP_HANDLER
The backup handler path. |
static String |
PARAM_VERSIONID
Request parameter name for the version id. |
| Constructor Summary | |
|---|---|
CmsBackupResourceHandler()
|
|
| Method Summary | |
|---|---|
CmsResource |
initResource(CmsResource resource,
CmsObject cms,
HttpServletRequest req,
HttpServletResponse res)
Possibility to modify or change the CmsFile with the CmsObject. |
static boolean |
isBackupRequest(ServletRequest req)
Returns true if the given request is displaying a history backup version. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String ATTRIBUTE_NAME
public static final String BACKUP_HANDLER
public static final String PARAM_VERSIONID
| Constructor Detail |
|---|
public CmsBackupResourceHandler()
| Method Detail |
|---|
public static boolean isBackupRequest(ServletRequest req)
true if the given request is displaying a history backup version.
req - the request to check
true if the given request is displaying a history backup version
public CmsResource initResource(CmsResource resource,
CmsObject cms,
HttpServletRequest req,
HttpServletResponse res)
throws CmsResourceInitException
I_CmsResourceInit
initResource in interface I_CmsResourceInitresource - the requested filecms - the current CmsObjectreq - the current requestres - the current response
CmsResourceInitExceptionI_CmsResourceInit.initResource(org.opencms.file.CmsResource, org.opencms.file.CmsObject, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||